package com.ekexiu.project.storage.diacrisis;

import org.jfw.util.log.LogFactory;
import org.jfw.util.log.Logger;

public class AiCleanTask implements Runnable{
	private static Logger LOG = LogFactory.getLog(AiCleanTask.class);
	private String taskId;
	private int taskType;
	private AiTaskService aiTaskService;
	
	
	public AiCleanTask(String taskId,int taskType,AiTaskService aiTaskService){
		this.taskId = taskId;
		this.taskType = taskType;
		this.aiTaskService = aiTaskService;
	}

	

	@Override
	public void run() {
		aiTaskService.updateTaskState(taskId, 399, null, new AiStrengthenTask(taskId, taskType, aiTaskService));
	}

}
